*{
  margin: 0;
  padding: 0;
}

html {
      scroll-behavior: smooth;
}

body {
  min-height: 100vh;
  background: url('laptop.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.margin {
  margin-left: 20px;
}
nav {
  background-image: linear-gradient(40deg,#18ccc6,#175aad);
  box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.1);
}
nav ul{
  width: 100%;
  list-style: none;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
nav li{
  height: 50px;
}
nav a{
  height: 100%;
  padding: 0 30px;
  text-decoration: none;
  display: flex;
  align-items: center;
  color: white;
}
nav a:hover{
  background-color: #ffffff63;
}
nav li:first-child{
  margin-right: auto;
}
.sidebar{
  position: fixed;
  top: 0; 
  right: 0;
  height: 100vh;
  width: 250px;
  background-color: rgba(255, 255, 255, 0.15);
  backdrop-filter: blur(12px);
  box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
  list-style: none;
  display: none;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  z-index: 100
}

.topbar {
    top: 0;
    position:fixed;
    left: 0%;
    top: 0%;
    width: 100%;
    z-index: 999;
}
.sidebar li{
  width: 100%;
}
.sidebar a{
  width: 100%;
}
.menu-button{
  display: none;
}

.font{
 font-family: "Impact";
 font-size: 25px;
 color: white;
}

.sloganPicture {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
  filter: blur(8px);
  -webkit-filter: blur(8px)
}

.homeBackground {
  background:  rgb(26, 26, 26);
}

.slogan {
  text-align: center;
  font-family: Arial;
  font-weight: bold;
  font-size: 4.2rem;
  color: white;
}

.slogan span {
  background: #1fc3cf;
  color: white;
}

.free {
  text-align: center;
  font-family: Arial;
  font-weight: bold;
  font-size: 3.2rem;
  color: white;
}

.aboutUs {
  background:  rgb(48, 48, 48);
}

.ourGames {
  background:  rgb(48, 48, 48);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.buttonStyle {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 1rem;
}

.buttonElem {
  display: flex;
  color: black;
  font-family: Arial;
  font-weight: bold;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  padding: 10px 20px;
  height: 100%;
  width: 50%;
  border: none;
  outline: none;
  border-radius: 10px;
  background:rgb(255, 255, 255);
}


.aboutUsTitle {
  text-align: center;
  font-family: Arial;
  font-weight: bold;
  font-size: 3.5rem;
  color: white;
}

.discordTitle {
  text-align: center;
  font-family: Arial;
  font-weight: bold;
  font-size: 2.5rem;
  color: white;
}

.aboutUsText {
  text-align: center;
  font-family: Arial;
  color: white;
}

.productsTitle {
  text-align: center;
  font-family: Arial;
  font-weight: bold;
  font-size: 3.5rem;
  color: white;
}

.productsText {
  text-align: center;
  font-family: Arial;
  color: white;
}

.games {
  background:rgb(26, 26, 26);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.productsImage {
  border-radius: 10px;
}


.scroll {
  width: 100%;
  overflow-x: auto;
  overflow-y: hidden;
}

.cardgames {
  box-shadow: 0 4px 8px 0 rgb(48, 48, 48);
  background-color: rgb(48, 48, 48);
  transition: 0.3s;
  margin-left: 10px;
  border-radius: 5px; /* 5px rounded corners */
  width: 200px;
  }

.cardgames:hover {
  box-shadow: 0 8px 16px 0 rgb(85, 85, 85);
}


.cardproducts {
  box-shadow: 0 4px 8px 0 rgb(48, 48, 48);
  background-color: rgb(26, 26, 26);
  transition: 0.3s;
  margin-left: 10px;
  border-radius: 5px; /* 5px rounded corners */
  width: 200px;
  }

.cardproducts:hover {
  box-shadow: 0 8px 16px 0 rgb(85, 85, 85);
}

/* Add rounded corners to the top left and the top right corner of the image */
img {
  border-radius: 5px 5px 0 0;
}

.container {
  padding: 2px 16px;
  display: flex;
  align-items: center;
  white-space: nowrap;
  /* Optional: further control alignment, spacing, etc. */
  /* justify-content: space-around; */
  /* align-items: center; */
}

.whitetext {
  color: white;
  text-align: center;
}

.imageCard {
  display: block;
  margin:auto;
  width: 90%;
}


@media(min-width: 800px){
  .adjustMobile{
    justify-content: center;
    display: flex;
  }
}

@media(max-width: 800px){
  .hideOnMobile{
    display: none;
  }
  .menu-button{
    display: block;
  }
}
@media(max-width: 400px){
  .sidebar{
    width: 100%;
  }
}
